import { ContentProps } from "@/validations/mutual/dashboard/props";
import ContentToRenderNoPage from "@/pages/mutual/noContent/page";
import { resolveWhichPageToRenderSingle } from "@/pages/resolver/resolver";

const PageToBeChildrendSingle: React.FC<ContentProps> = ({ lang, translations, activePageUrl }) => {
    const ApplicationToRender = resolveWhichPageToRenderSingle({ activePageUrl })
    if (ApplicationToRender) {
        return <ApplicationToRender lang={lang} translations={translations} activePageUrl={activePageUrl} />
    }
    else { return <ContentToRenderNoPage lang={lang} /> }
}

export default PageToBeChildrendSingle
